[Flags]
public enum PhysicsLayer : uint
{
	/// <summary> Physical objects that are part of the scene and won't move. </summary>
	Static  = 0b0000_0000_0000_0001,
	/// <summary> Physical objects that may move. Player collide with these. </summary>
	Dynamic = 0b0000_0000_0000_0010,
	/// <summary> Small physical objects that may move. Players don't collide with these. </summary>
	Small   = 0b0000_0000_0000_0100,
	/// <summary> Physical bodies such as those of players. </summary>
	Body    = 0b0000_0000_0000_1000,

	/// <summary> Areas in the game that can be entered or left by players. </summary>
	Zone     = 0b0000_0001_0000_0000,
	/// <summary> Objects that may be ray-traced to interact with them. </summary>
	Interact = 0b0000_0010_0000_0000,
	/// <summary> Objects that others may be placed again, grid-aligned bounding box. </summary>
	Placable = 0b0000_0100_0000_0000,
}
